Funding

Create a ramp widget session for checkout

POST
/ramp/session

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
sourceAmount*string

Amount to pay, in sourceCurrencyCode units, as a decimal string (e.g. "50").

sourceCurrencyCode*string
destinationCurrencyCode*string
serviceProvider*string
walletAddress*string
redirectUrl?string

Response Body

200

application/json
  1. response
id*string

Session id.

token*string

Session token for the checkout widget.

widgetUrl*string

URL of the checkout widget to open.

serviceProviderWidgetUrl*string

The provider's own checkout URL.

Example Request
curl -X POST 'https://api.t.sufwankhalid.com/ramp/session' \  -H 'Content-Type: application/json' \  -d '{  "sourceAmount": "string",  "sourceCurrencyCode": "string",  "destinationCurrencyCode": "string",  "serviceProvider": "string",  "walletAddress": "string"}'
Example Response
{  "id": "string",  "token": "string",  "widgetUrl": "string",  "serviceProviderWidgetUrl": "string"}